net.minecraft.world.gen.structure

## Class ComponentStrongholdLibrary

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.ComponentStrongholdLibrary

-     public class ComponentStrongholdLibrary
      extends StructureComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WeightedRandomChestContent[]` | `strongholdLibraryChestContents` List of items that Stronghold Library chests can contain.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentStrongholdLibrary()`
    `ComponentStrongholdLibrary(int par1, Random par2Random, StructureBoundingBox par3StructureBoundingBox, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addComponentParts(World par1World, Random par2Random, StructureBoundingBox par3StructureBoundingBox)` second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
    `static ComponentStrongholdLibrary` | `findValidPlacement(List par0List, Random par1Random, int par2, int par3, int par4, int par5, int par6)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `buildComponent, findIntersecting, func_143009_a, func_143010_b, getBoundingBox, getCenter, getComponentType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strongholdLibraryChestContents

          public static final WeightedRandomChestContent[] strongholdLibraryChestContents

      List of items that Stronghold Library chests can contain.

  - ### Constructor Detail

    - #### ComponentStrongholdLibrary

          public ComponentStrongholdLibrary()

    - #### ComponentStrongholdLibrary

          public ComponentStrongholdLibrary(int par1,
                                    Random par2Random,
                                    StructureBoundingBox par3StructureBoundingBox,
                                    int par4)

  - ### Method Detail

    - #### findValidPlacement

          public static ComponentStrongholdLibrary findValidPlacement(List par0List,
                                                      Random par1Random,
                                                      int par2,
                                                      int par3,
                                                      int par4,
                                                      int par5,
                                                      int par6)

    - #### addComponentParts

          public boolean addComponentParts(World par1World,
                                  Random par2Random,
                                  StructureBoundingBox par3StructureBoundingBox)

      second Part of Structure generating, this for example places Spiderwebs, Mob Spawners, it closes Mineshafts at the end, it adds Fences...
      Specified by:
        `addComponentParts` in class `StructureComponent`